#
# Conditional build:
%bcond_without	ocaml_opt	# skip building native optimized binaries (bytecode is always built)

%ifnarch %{ix86} %{x8664} arm aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

%define		_enable_debug_packages	0

Summary:	Benchmark - measure/compare run-time of OCaml functions
Summary(pl.UTF-8):	Biblioteka benchmark - mierzenie i porównywanie czasu działania funkcji ocamlowych
Name:		ocaml-benchmark
Version:	1.6
Release:	2
License:	LGPL v3 with linking exception
Group:		Development/Languages
Source0:	https://github.com/Chris00/ocaml-benchmark/archive/%{version}/benchmark-%{version}.tar.gz
# Source0-md5:	3e716610143aeda29bace893ae3b056b
URL:		https://github.com/Chris00/ocaml-benchmark
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-dune
BuildRequires:	ocaml-findlib
%requires_eq	ocaml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Benchmark provides functions to measure and compare the run-time of
OCaml functions. It is inspired by the Perl module of the same name.

%description -l pl.UTF-8
Biblioteka benchmark dostarcza funkcje do mierzenia i porównywania
czasu działania funkcji ocamlowych. Została zainspirowana modułem
Perla o tej samej nazwie.

%prep
%setup -q

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

dune install \
	--destdir $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/benchmark/benchmark.mli

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md src/benchmark.mli
%dir %{_libdir}/ocaml/benchmark
%{_libdir}/ocaml/benchmark/META
%{_libdir}/ocaml/benchmark/benchmark.cma
%{_libdir}/ocaml/benchmark/benchmark.cmi
%{_libdir}/ocaml/benchmark/benchmark.cmt
%{_libdir}/ocaml/benchmark/benchmark.cmti
%if %{with ocaml_opt}
%{_libdir}/ocaml/benchmark/benchmark.a
%{_libdir}/ocaml/benchmark/benchmark.cmx
%{_libdir}/ocaml/benchmark/benchmark.cmxa
%{_libdir}/ocaml/benchmark/benchmark.cmxs
%endif
%{_libdir}/ocaml/benchmark/dune-package
%{_libdir}/ocaml/benchmark/opam
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Mar 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-benchmark.git;a=log;h=master

* Sat Mar 27 2021 Jan Rękorajski <baggins@pld-linux.org> 89dcdb5
- update META fil location
- rel 2

* Thu Mar 25 2021 Jan Rękorajski <baggins@pld-linux.org> 5a8cb83
- up to 1.6

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 45b6a1c
- rebuild with ocaml 4.04.1
- release 4 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> 6b029e3
- release 3 (by relup.sh)

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 43e233b
- added ocaml_opt bcond
- release 2 (ocaml rebuild)

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> f3e9c50
- updated to 1.3

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 7eb3614
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 1e3f317
- cleanup

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> eb47430
- new

